Bug 1710939 - [v2v][UI] VM name obligatory field is confusing in case of Import VM.
Summary: [v2v][UI] VM name obligatory field is confusing in case of Import VM.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.3.0
Assignee: Tomas Jelinek
QA Contact: Maayan Hadasi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-16 15:31 UTC by Ilanit Stein
Modified: 2020-01-23 11:03 UTC (History)
7 users (show)

Fixed In Version: 4.3.0-0.nightly-2019-11-12-043446
Doc Type: If docs needed, set a value
Doc Text:
Cause: order of fields is not intuitive Fix: the order of fields was changed
Clone Of:
Environment:
Last Closed: 2020-01-23 11:03:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
Import VM dialog in 4.3 (47.54 KB, image/png)
2019-11-05 09:19 UTC, Marek Libra
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0062 0 None None None 2020-01-23 11:03:57 UTC

Description Ilanit Stein 2019-05-16 15:31:15 UTC
Description of problem:
In UI, Create VM wizard dialog, VM Name field is marked with '*' - 
That is an obligatory field.

As such user may automatically fill here content.
Then next field is Provision type - once Import is picked, the VM name is cleared.

This behavior is not intuitive.

Maybe we can change the dialog, in such way it will not be confusing.

For example, Provision source can be the first field in the dialog.
If Import is chosen, then relevant fields can be added right bellow Provision source field, and the VM name field can come after in order.

This way, user will not first fill VM name, and be surprised, by it being wiped out  

Version-Release number of selected component (if applicable):
hco tag: v.2.0.0-12

Comment 1 Filip Krepinsky 2019-05-21 10:23:31 UTC
This is also done to prevent keeping the stale data like name from the last selected vm. 

+ the order and visibility of the fields should go to designers

Comment 2 Andy Braren 2019-05-22 00:40:47 UTC
Thank you Ilanit! UXD is aware of this issue and Matt Carleton did some testing at Summit related to this. I believe we have an upcoming design (similar to your proposal) that will fix this weird behavior.

Comment 3 Filip Krepinsky 2019-07-24 16:34:32 UTC
This is a redesign feature which is not ready yet. Moving to 2.2

Comment 4 Marek Libra 2019-11-05 09:18:11 UTC
The dialog has been redesigned. In addition, the Import is newly independent on the Create VM flow.
Ilanit, can you please confirm this is WONTFIX now? Please see attached screenshot.

Comment 5 Marek Libra 2019-11-05 09:18:40 UTC
closed by mistake ...

Comment 6 Marek Libra 2019-11-05 09:19:20 UTC
Created attachment 1632883 [details]
Import VM dialog in 4.3

Comment 8 Ilanit Stein 2019-11-06 12:06:04 UTC
Thanks Marek,
Is there a bug for this redesign?
If yes, we can put this current bug as duplicate on it.

Comment 9 Marek Libra 2019-11-07 12:19:31 UTC
The redesign was tracked here: https://jira.coreos.com/browse/CNV-3239

Comment 10 Tomas Jelinek 2019-11-12 10:11:01 UTC
well, not exactly a duplicate. I will just put this to on_qa to make sure the redesign did it in a way that it is acceptable for you.

Comment 11 Maayan Hadasi 2019-12-11 12:07:17 UTC
Verified as fixed in version: CNV 2.2.0-10 

'Create VM' wizard dialog was redesigned as expected

(see attachment)

Comment 13 errata-xmlrpc 2020-01-23 11:03:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.